## bluez 4.17

=== CsrUtils/Makefile ===
#
# UNrooted.net example code
#
# Minimal Makefile used to build my Bluez OBEX example.  The generated 
# executable 'ussp-push' can be used to push files using OBEX over RFCOMM with
# the Bluez Linux Bluetooth stack.  You should be able to just 'make' directly
# without any setup.
#

#
# These are the default paths the openobex package installs under.  Hack as
# necessary to reflect your setup.
#
SBINDIR=/usr/local/sbin
INSTALL=/usr/bin/install
OBEXINC=-I/usr/local/include

all: 


install:bt.sh telephony a2dp.sh agent.py asoundrc hfp.sh hid.sh hidpy opp.sh serial.py spp.sh toggle.sh hiddisconnect.py
	$(INSTALL) -c  bt.sh $(SBINDIR)
	$(INSTALL) -c  telephony $(SBINDIR)
	$(INSTALL) -c  a2dp.sh $(SBINDIR)
	$(INSTALL) -c  agent.py $(SBINDIR)
	$(INSTALL) -c  asoundrc $(SBINDIR)
	$(INSTALL) -c  hfp.sh $(SBINDIR)
	$(INSTALL) -c  hid.sh $(SBINDIR)
	$(INSTALL) -c  hidpy $(SBINDIR)
	$(INSTALL) -c  opp.sh $(SBINDIR)
	$(INSTALL) -c  serial.py $(SBINDIR)
	$(INSTALL) -c  spp.sh $(SBINDIR)
	$(INSTALL) -c  toggle.sh $(SBINDIR)	
	$(INSTALL) -c  soundbt.sh $(SBINDIR)
	$(INSTALL) -c  hiddisconnect.py $(SBINDIR)



clean:

## bluez 4.91

=== debian/changelog ===
bluez (4.91-0ubuntu2) natty-proposed; urgency=low

  [ Keng-Yu Lin ]
  * Add patches/03-More-retries-when-initialising-the-device.patch
    - Fix the bug of bluetooth staying disabled on resume (LP: #812132)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 16 Aug 2011 12:26:56 +1000

bluez (4.91-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/libbluetooth3.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 05 Apr 2011 10:09:16 +1000

bluez (4.90-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 24 Mar 2011 10:27:09 +1100

bluez (4.89-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 21 Feb 2011 11:50:59 +1100

bluez (4.88-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 14 Feb 2011 15:48:03 +1100

bluez (4.87-1ubuntu1) natty; urgency=low

  * Merge from debian experimental.  Remaining changes: (LP: #708770)
    - debian/bluetooth-dbus.conf:
      + Allow access to the D-Bus resource "org.bluez" also for the "lp"
        group so that the "bluetooth" CUPS backend can access when it is
        run by CUPS for discovery of Bluetooth printers.
    - debian/bluez.bluetooth.default:
      + Drop.  Doesn't do anything now.
    - debian/bluez.preinst:
      + Cleanup /etc/default/bluetooth as it's not used anymore.
    - debian/control:
      + Add udev to build-depends. Allows pkg-config to query udev data
        directory variable.
    - debian/rules:
      + Don't build hid2hci anymore.  It's part of udev now.
      + Don't install bluez_agent.udev, doesn't work in Ubuntu.
      + Drop simple-patchsys.mk
    - debian/source/format: Use source format 3.0.
    - debian/source_bluez.py, debian/bluez.install:
      + Apport hook made by Baptiste Mille-Mathias.
    - debian/bluez.bluetooth.init:
      + Drop most calls in this script as now all it serves as
        is to workaround a problem with dbus not being ready early
        enough. Once dbus is started by an upstart service, this
        should be able to be converted to an upstart service too.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 27 Jan 2011 18:00:26 +0100

bluez (4.87-1) experimental; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 26 Jan 2011 07:58:27 +0900

bluez (4.86-1) experimental; urgency=low

  * New upstream release.
  * Update debian/rules.
    - Enable health plugin and attrib plugin.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 24 Jan 2011 11:49:55 +0900

bluez (4.85-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 18 Jan 2011 10:41:30 +1100

bluez (4.84-1) experimental; urgency=low

  * New upstream release.
  * Update README.Debian.
    - Update section of Keyboard and mouse support
      (Closes: #599894, #535929).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 12 Jan 2011 17:23:25 +0900

bluez (4.84-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 07 Jan 2011 13:21:49 +1100

bluez (4.82-1) experimental; urgency=low

  * New upstream release.
  * Add manpages of bluetooth-agent.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 20 Dec 2010 01:39:43 +0900

bluez (4.82-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 20 Dec 2010 16:08:47 +1100

bluez (4.81-1ubuntu1) natty; urgency=low

  * debian/control:
    - Add Vcs-Bzr link
  * debian/rules:
    - Drop simple-patchsys.mk
  * debian/source/format:
    - Use source format 3.0

  [ Michael Terry ]
  * Merge with Debian experimental (LP: #687701), remaining Ubuntu changes:
    + debian/bluetooth-dbus.conf:
      - Allow access to the D-Bus resource "org.bluez" also for the "lp"
        group so that the "bluetooth" CUPS backend can access when it is
        run by CUPS for discovery of Bluetooth printers.
    + debian/bluez.bluetooth.default:
      - Drop.  Doesn't do anything now.
    + debian/bluez.preinst:
      - Cleanup /etc/default/bluetooth as it's not used anymore.
    + debian/control:
      - Add udev to build-depends.  Allows pkg-config to query udev data
        directory variable.
    + debian/rules:
      - Don't build hid2hci anymore.  It's part of udev now.
      - Don't install bluez_agent.udev, doesn't work in Ubuntu.
    + debian/source_bluez.py, debian/bluez.install:
      - Apport hook made by Baptiste Mille-Mathias. (LP: #545551)
    + debian/bluez.bluetooth.init:
      - Drop most calls in this script as now all it serves as
        is to workaround a problem with dbus not being ready early
        enough. Once dbus is started by an upstart service, this
        should be able to be converted to an upstart service too.

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 20 Dec 2010 14:59:20 +1100

bluez (4.81-1) experimental; urgency=low

  * New upstream release.
  * Drop patches/010_udev_rules_agent.patch (Closes: ##588034).
    Connection of bluetooth is cut off after system start,
    if applied this patch. And this patch is not already necessary.
  * Disabled HAL (Closes: 599023).
    Add patches/02_disable_hal.patch
  * Update debian/rules
    - Provide again bluetooth-agent utility (Closes: #598982).
    - Remove --enable-netlink option of configure.
      This option was not provided.
  * Update debian/bluez.install
    Remove path of plugins.
  * Update libbluetooth-dev.install
    Remove path of plugins.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 02 Dec 2010 12:17:48 +0900

bluez (4.70-1) unstable; urgency=low

  * New upstream release.
  * Update debian/bluez.bluetooth.init (Closes: #593172).
  * Update debian/bluez.preinst (Closes: #592982, #568301).
  * Update debian/control.
    - python-gobject and python-dbus move from Suggests to Depends.


=== debian/control ===
Source: bluez
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
Uploaders: Andrea Veri <andrea.veri89@gmail.com>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7),
               autotools-dev,
               cdbs,
               flex,
               bison,
               gstreamer-tools,
               libasound2-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libgstreamer0.10-dev,
               libgstreamer-plugins-base0.10-dev,
               libnl-dev,
               libsndfile1-dev,
               libusb-dev,
               libcap-ng-dev,
               udev
XS-Debian-Vcs-Svn: svn://svn.debian.org/svn/pkg-bluetooth/packages/bluez/trunk
XS-Debian-Vcs-Browser: http://svn.debian.org/wsvn/pkg-bluetooth/packages/bluez/trunk
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/bluez/ubuntu
Homepage: http://www.bluez.org
Standards-Version: 3.9.1

Package: libbluetooth3
Section: libs
Conflicts: libsdp2 (<= 1.5-2)
Replaces: libsdp2 (<= 1.5-2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Library to use the BlueZ Linux Bluetooth stack
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: libbluetooth-dev
Section: libdevel
Provides: libbluetooth3-dev
Conflicts: libbluetooth-dev, libsdp2-dev (<= 1.5.2), bluez-pan
Replaces: libsdp2-dev (<= 1.5.2)
Depends: libbluetooth3 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: pkg-config
Priority: extra
Architecture: any
Description: Development files for using the BlueZ Linux Bluetooth library
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluetooth
Architecture: all
Depends: bluez
Recommends: bluez-alsa, bluez-cups, bluez-gstreamer
Description: Bluetooth support
 This package provides all of the different plugins supported
 by the Bluez bluetooth stack.

Package: bluez
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, module-init-tools, udev | makedev, lsb-base, dbus, python-gobject, python-dbus
Replaces: bluez-input, bluez-network, bluez-serial, bluez-utils (<= 3.36-3), bluez-audio (<= 3.36-3)
Conflicts: bluez-utils (<= 3.36-3), bluez-audio (<= 3.36-3)
Description: Bluetooth tools and daemons
 This package contains tools and system daemons for using Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-alsa
Replaces: bluez-audio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez
Description: Bluetooth ALSA support
 This package contains a driver operate with the ALSA stack.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-gstreamer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez
Replaces: bluez-audio
Description: Bluetooth GStreamer support
 This package contains a plugin to operate with GStreamer applications.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-cups
Architecture: any
Depends: ${shlibs:Depends}, cups, ${misc:Depends}
Description: Bluetooth printer driver for CUPS
 This package contains a driver to let CUPS print to Bluetooth-connected
 printers.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-pcmcia-support
Architecture: any
Priority: extra
Depends: pcmciautils, ${misc:Depends}
Recommends: setserial
Description: PCMCIA support files for BlueZ 2.0 Bluetooth tools
 This package contains files to enable PCMCIA card services to recognise
 and initialise PCMCIA Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-compat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BlueZ 3.x compatibility binaries
 This package provides the legacy binaries that were reminiscent of the
 BlueZ 3.x pairing methods.  These binaries are not supported, and will
 go away again in the future. The provided binaries are:
 .
 hidd
 dund
 pand

Package: bluez-utils
Depends: bluetooth
Architecture: all
Description: Transitional package
 This is a transitional package to assist with moving people to the
 BlueZ 4.x stack.
 
Package: bluez-audio
Depends: bluez-alsa (>= 4), bluez-gstreamer (>= 4)
Architecture: all
Description: Transitional package
 This is a transitional package to assist with moving people to the
 BlueZ 4.x stack.

## bluez 4.96

=== debian/changelog ===
bluez (4.96-3) unstable; urgency=low

  * Install debian/bluez-udev to /lib/udev/bluez-udev.
    (Closes #639356, #643829)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 30 Sep 2011 12:35:45 +0900

bluez (4.96-2) unstable; urgency=low

  * Add support static library of libbluetooth-dev. (Closes: #558742)
    Don't include static library in bluez-alsa and bluez-gstreamer.
  * Fix bluez udev rules attempt to access /usr when /usr may not be mounted.
    Thanks to anomie@users.sourceforge.net. (Closes: #639356)
  * Fix typo in debian/bluez.preinst. (Closes: #643321)
    Thanks to Trent W. Buck.
  * Remove dh-autoreconf and add '-Wl,--as-needed' to LDFLAGS.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 28 Sep 2011 01:50:05 +0900

bluez (4.96-1) unstable; urgency=low

  * New upstream release.
    Applied some patch from Daniel Schaal. Thanks! (Closes: #636633)
  * Add debug packages.
    bluez-dbg and libbluetooth3-dbg.
  * Add support systemd.
  * Update debian/control.
    - Add s390x to Architecture. (Closes: #636545)
    - Add libreadline-dev to Build-Depends.
  * Drop patchsys-quilt.mk snippet: superfluous with source
    format 3.0 "(quilt)".
  * Refresh patch.
  * Switch to multiarch.
  * Update debian/rules.
    - Remove obsolete configure flags.
    - Add new plugins (proximity, sap, wiimote, thermometer, dbusoob).
    - Strip and move to .install files.
    - Add LDFLAGS=-Wl,--as-needed to configure option.
  * Add usr/bin/gatttool into bluez package.
  * Update bluez.lintian-overrides.
  * Update debian/copyright.
    Update path of license file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 04 Aug 2011 11:46:35 +0900

bluez (4.94-3) unstable; urgency=low

  * Add dh-autoreconf to Build-Depends. To support dh-autoreconf,
    update debian/control and debian/rules.
  * Update version and the install path for which libasound depended.
    Add patch/06-alsalib.patch. Thanks for Steve Langasek and Jordi Mallach.
    (Closes: #634976).
  * Remove Andrea Veri from Uploaders.
    Thank you for having maintained this package. (Closes: #635095)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 24 Jul 2011 18:31:59 +0900

bluez (4.94-2) unstable; urgency=medium

  * Add udev to Replaces and Breaks field (Closes: #628904).
  * Fix typo from deamon to daemon (Closes: 629901).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 09 Jun 2011 21:48:21 +0900

bluez (4.94-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control.
    - Add ppc64 to Architecture.
    - Add version depency of udev (Closes: #628904, #628765).
  * Remove debian/patches/03_fix_udevdir.patch.
    Applied to upstream.
  * Update debian/bluez.bluetooth.init.
    Applied patch from Cristian Ionescu-Idbohrn (Closes: #628491).
  * Update debian/bluez.postinst.
    Add abort-upgrade, abort-remove and abort-deconfigure target
    to bluez.postinst.
  * Fix return code of hid2hci.
    Add patch 03-Fix-return-code-of-hid2hci.patch
  * Fix work Logitech keyboard (Closes: #626975)
    Add patch 04-Fix-bluetooth-hid2hci.rules.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 01 Jun 2011 15:30:01 +0900

bluez (4.93-3) unstable; urgency=low

  * Fix install hid2hci to /lib/udev. 

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 31 May 2011 19:42:33 +0900

bluez (4.93-2) unstable; urgency=low

  * Update debian/README.Debian.gz.
    Add description of bluez-simple-agent (Closes: #488306, #384680).
  * Update debian/bluez_agent.udev and debian/bluez.bluetooth.init.
    Fix path of hid2hci (Closes: #628491).
  * Add debian/patches/03_fix_udevdir.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 31 May 2011 18:04:29 +0900

bluez (4.93-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control.
    - Add libudev-dev to Build-Depends.
  * Update debian/bluetooth-dbus.conf.
    Add policy for lp group.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 20 May 2011 10:31:07 +0900

bluez (4.91-1) unstable; urgency=low

  * New upstream release.
  * Updte debian/control
    + Update to S-V 3.9.2: no changes needed.
    + Remove libdbus-1-dev from Build-Depends.
      This is interpolated by libdbus-1-dev.
  * Update debian/libbluetooth3.symbols.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 12 Apr 2011 11:50:49 +0900

bluez (4.89-1) unstable; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 05 Mar 2011 17:08:40 +0900

bluez (4.87-2) unstable; urgency=low

  * Upload to unstable.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 09 Feb 2011 01:38:45 +0900

=== debian/control ===
Source: bluez
Section: admin
Priority: optional
Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 8.1.3), cdbs (>= 0.4.93), quilt,
               autotools-dev,
               flex,
               bison,
               gstreamer-tools,
               libasound2-dev (>= 1.0.24.1),
               libdbus-glib-1-dev,
               libglib2.0-dev (>= 2.16),
               libgstreamer0.10-dev (>= 0.10.30),
               libgstreamer-plugins-base0.10-dev (>= 0.10.30),
               libnl-dev,
               libsndfile1-dev,
               libusb-dev,
               libcap-ng-dev,
               libudev-dev,
			   libreadline-dev
Vcs-Svn: svn://svn.debian.org/svn/pkg-bluetooth/packages/bluez/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-bluetooth/packages/bluez/trunk
Homepage: http://www.bluez.org
Standards-Version: 3.9.2

Package: libbluetooth3
Section: libs
Conflicts: libsdp2 (<= 1.5-2)
Replaces: libsdp2 (<= 1.5-2)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Architecture: amd64 armel i386 ia64 mips mipsel powerpc s390 s390x sparc alpha armhf avr32 hppa m68k powerpcspe sh4 sparc64 ppc64
Description: Library to use the BlueZ Linux Bluetooth stack
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: libbluetooth3-dbg
Section: debug
Priority: extra
Architecture: amd64 armel i386 ia64 mips mipsel powerpc s390 s390x sparc alpha armhf avr32 hppa m68k powerpcspe sh4 sparc64 ppc64
Depends: ${misc:Depends}, libbluetooth3 (= ${binary:Version})
Description: Library to use the BlueZ Linux Bluetooth stack with debugging symbols
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).
 .
 This package contains the debugging symbols.

Package: libbluetooth-dev
Section: libdevel
Provides: libbluetooth3-dev
Conflicts: libbluetooth-dev, libsdp2-dev (<= 1.5.2), bluez-pan
Replaces: libsdp2-dev (<= 1.5.2)
Depends: libbluetooth3 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: pkg-config
Priority: extra
Architecture: amd64 armel i386 ia64 mips mipsel powerpc s390 s390x sparc alpha armhf avr32 hppa m68k powerpcspe sh4 sparc64 ppc64
Description: Development files for using the BlueZ Linux Bluetooth library
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluetooth
Architecture: all
Depends: bluez
Recommends: bluez-alsa, bluez-cups, bluez-gstreamer
Description: Bluetooth support
 This package provides all of the different plugins supported
 by the Bluez bluetooth stack.

Package: bluez
Architecture: amd64 armel i386 ia64 mips mipsel powerpc s390 s390x sparc alpha armhf avr32 hppa m68k powerpcspe sh4 sparc64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, module-init-tools, udev (>= 170-1), lsb-base, dbus, python-gobject, python-dbus
Replaces: bluez-input, bluez-network, bluez-serial, bluez-utils (<= 3.36-3), bluez-audio (<= 3.36-3), udev (<< 170-1)
Conflicts: bluez-utils (<= 3.36-3), bluez-audio (<= 3.36-3)
Breaks: udev (<< 170-1)
Description: Bluetooth tools and daemons
 This package contains tools and system daemons for using Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-dbg
Section: debug
Priority: extra
Architecture: amd64 armel i386 ia64 mips mipsel powerpc s390 s390x sparc alpha armhf avr32 hppa m68k powerpcspe sh4 sparc64 ppc64
Depends: ${misc:Depends}, bluez (= ${binary:Version}), libbluetooth3-dbg (= ${binary:Version})
Description: Bluetooth tools and daemons (with debugging symbols)
 This package contains tools and system daemons for using Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).
 .
 This package contains the debugging symbols.

Package: bluez-alsa
Replaces: bluez-audio
Architecture: amd64 armel i386 ia64 mips mipsel powerpc s390 s390x sparc alpha armhf avr32 hppa m68k powerpcspe sh4 sparc64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez
Description: Bluetooth ALSA support
 This package contains a driver operate with the ALSA stack.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-gstreamer
Architecture: amd64 armel i386 ia64 mips mipsel powerpc s390 s390x sparc alpha armhf avr32 hppa m68k powerpcspe sh4 sparc64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez
Replaces: bluez-audio
Description: Bluetooth GStreamer support
 This package contains a plugin to operate with GStreamer applications.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-cups
Architecture: amd64 armel i386 ia64 mips mipsel powerpc s390 s390x sparc alpha armhf avr32 hppa m68k powerpcspe sh4 sparc64 ppc64
Depends: ${shlibs:Depends}, cups, ${misc:Depends}
Description: Bluetooth printer driver for CUPS
 This package contains a driver to let CUPS print to Bluetooth-connected
 printers.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-pcmcia-support
Architecture: amd64 armel i386 ia64 mips mipsel powerpc s390 s390x sparc alpha armhf avr32 hppa m68k powerpcspe sh4 sparc64 ppc64
Priority: extra
Depends: pcmciautils, ${misc:Depends}
Recommends: setserial
Description: PCMCIA support files for BlueZ 2.0 Bluetooth tools
 This package contains files to enable PCMCIA card services to recognise
 and initialise PCMCIA Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-compat
Architecture: amd64 armel i386 ia64 mips mipsel powerpc s390 s390x sparc alpha armhf avr32 hppa m68k powerpcspe sh4 sparc64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BlueZ 3.x compatibility binaries
 This package provides the legacy binaries that were reminiscent of the
 BlueZ 3.x pairing methods.  These binaries are not supported, and will
 go away again in the future. The provided binaries are:
 .
 hidd
 dund
 pand

Package: bluez-utils
Depends: bluetooth
Architecture: all
Description: Transitional package
 This is a transitional package to assist with moving people to the
 BlueZ 4.x stack.

Package: bluez-audio
Depends: bluez-alsa (>= 4.94-3), bluez-gstreamer (>= 4)
Architecture: all
Description: Transitional package
 This is a transitional package to assist with moving people to the
 BlueZ 4.x stack.

=== debian/rules ===
#!/usr/bin/make -f
# build rules for bluez

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

LDFLAGS += -Wl,--as-needed

DEB_UPDATE_RCD_PARAMS = "start 25 2 3 4 5 . stop 74 0 1 6 ."
DEB_DH_INSTALLINIT_ARGS = "--name=bluetooth"
DEB_CONFIGURE_EXTRA_FLAGS := LDFLAGS=-Wl,--as-needed \
                             --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
                             --enable-static \
                             --enable-health \
                             --enable-attrib \
                             --enable-gstreamer \
                             --enable-alsa \
                             --enable-usb \
                             --enable-tools \
                             --enable-test \
                             --enable-bccmd \
                             --enable-hid2hci \
                             --enable-dfutool \
                             --enable-cups \
                             --enable-pcmcia \
                             --enable-debug \
                             --enable-hidd \
                             --enable-pand \
                             --enable-dund \
                             --enable-pnat \
                             --enable-tracer \
                             --enable-udevrules \
                             --enable-configfiles \
                             --enable-capng \
                             --enable-proximity \
                             --enable-sap \
                             --enable-datafiles \
                             --enable-wiimote \
                             --enable-thermometer \
                             --enable-dbusoob \
                             --disable-hal \
                             --with-systemdunitdir=/lib/systemd/system

DEB_DESTDIR := $(CURDIR)/debian/tmp
# for debug pakcages
DEB_DBG_PACKAGES = bluez-dbg libbluetooth3-dbg

TEST_PROGRAM_LIST = simple-agent simple-service test-adapter test-audio test-device \
	test-discovery test-input test-manager test-network test-serial \
	test-service test-telephony

install/bluez::
	install -D -m 0755 $(CURDIR)/debian/bluez_agent.udev \
		$(CURDIR)/debian/bluez/lib/udev/bluez

	install -D -m 0755 $(CURDIR)/test/agent \
		$(CURDIR)/debian/bluez/usr/bin/bluetooth-agent
	for d in $(TEST_PROGRAM_LIST) ; do \
		install -D -m 0755 $(CURDIR)/test/$$d \
			$(CURDIR)/debian/bluez/usr/bin/bluez-$$d ; \
	done

	install -D -m 0644 $(CURDIR)/debian/README.examples \
		$(CURDIR)/debian/bluez/usr/share/doc/bluez/examples/README

binary-install/bluez-gstreamer::
	LD_LIBRARY_PATH="$(CURDIR)/debian/tmp/usr/lib:$(LD_LIBRARY_PATH)" \
		dh_gstscancodecs -pbluez-gstreamer

binary-install/bluez::
	install -D -m 0644 $(CURDIR)/debian/bluetooth-dbus.conf \
		$(CURDIR)/debian/bluez/etc/dbus-1/system.d/bluetooth.conf
	install -D -m 0755 $(CURDIR)/debian/bluez-udev \
		$(CURDIR)/debian/bluez/lib/udev/bluez-udev


clean::
	-rm -f $(CURDIR)/debian/bluez-pcmcia-support.udev

## bluez 4.98

=== debian/changelog ===
bluez (4.98-2ubuntu7) precise; urgency=low

  * debian/patches/10-unregister_interface_on_exit.patch: unregister the SAP
    interface on exit. Thanks to Jesse Sung for the patch.
  * debian/patches/11-explicitly_close.patch: make sure the io channel for
    HFP is properly closed on exit. Thanks to Jesse Sung for the patch.
    (LP: #907818)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 21 Mar 2012 15:27:57 -0400

bluez (4.98-2ubuntu6) precise; urgency=low

  * debian/control: Drop unused python-gobject dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 Mar 2012 19:41:36 +0100

bluez (4.98-2ubuntu5) precise; urgency=low

  * Fix the version number in debian/bluez.maintscript so it actually
    cleans up the file. (LP: #953448)

 -- Evan Broder <evan@ebroder.net>  Mon, 12 Mar 2012 15:07:44 -0700

bluez (4.98-2ubuntu4) precise; urgency=low

  [ Pali Rohár ]
  * Respawn bluetooth daemon if crashed.

  [ Evan Broder ]
  * Eliminate the /etc/default/bluetooth conffile as it's not the Upstart
    way. Transition the BLUETOOTH_ENABLED variable to an Upstart override
    variable if it's been changed.

 -- Evan Broder <evan@ebroder.net>  Wed, 07 Mar 2012 11:33:02 -0800

bluez (4.98-2ubuntu3) precise; urgency=low

  * debian/patches/enable_audio_profiles.patch: properly enable the Source
    profile, its state is checked twice, once in audio/a2dp.c again which was
    not taken into account in the previous upload. (LP: #948613)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 07 Mar 2012 14:36:24 -0500

bluez (4.98-2ubuntu2) precise; urgency=low

  * debian/patches/enable_audio_profiles.patch: enable the Gateway and Source
    audio profiles by default. (LP: #948613)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 07 Mar 2012 10:44:35 -0500

bluez (4.98-2ubuntu1) precise; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Upstart support:
      o Add debian/bluez.bluetooth.upstart.
      o debian/rules: Drop -DEB_UPDATE_RCD_PARAMS
      o Disable 07-fix-639356.patch and don't install 97-bluetooth.rules (in
        debian/bluez.install) and debian/bluez-udev (in debian/rules), we
        don't want to use the udev rules to start bluez. The upstart job does
        that already.
    - debian/bluez-alsa.install: Install ALSA bluetooth configuration into the
      right place for ALSA 1.0.25.
    - Add debian/source_bluez.py Apport package hook. Install in
      debian/bluez.install.
    - debian/control: Build against libnl3-dev, not libnl-dev.
    - debian/socket_audio.patch: re-enable the socket API for the bluetooth
      audio manager. This reverts an upstream change that switches to the
      MediaEndpoint DBus API by default, but it looks like PulseAudio isn't
      quite ready to use that yet. (LP #918736)
    - Add sbc_mmx.patch: Fix building with gcc 4.7. Not applied right now.
    - Drop debian/bluez.preinst and debian/bluez-alsa.preinst: Obsolete
      conffile migrations, 10.04 LTS has a much newer version.
  * 4.98-2 fixes building C++ apps. (LP: #927097)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Feb 2012 10:51:07 +0100

bluez (4.98-2) unstable; urgency=low

  * Provides proximity.conf by bluez. (Closes: #656889)
    Update debian/bluez.install. proximity.conf was installed to
    etc/bluetooth/proximity.conf.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 01 Feb 2012 05:24:00 +0900

bluez (4.98-1) unstable; urgency=low

  * New upstream release.
  * Update debian/bluetooth-dbus.conf.
  * Update debian/control.
    Add Multi-Arch: foreign to bluez.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 24 Jan 2012 05:35:09 +0900

bluez (4.97-1) experimental; urgency=low

  * New upstream release.
  * Update debian/contorl.
    - Add check (>= 0.9.8-1.1) to Build-Depends.
  * Update debian/rules.
    - Remove --enable-attrib, --enable-udevrules and --enable-configfiles 
      from configure.
    - Add --enable-time, --enable-alert and --enable-gatt-example to
      configure.
  * Update bluez-cups.install.
    Fix cups backend into multiarch path. (Closes: #645884)
  * Update man for l2test. (Closes: #649432)
  * Update debian/patches/06-alsalib.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 27 Dec 2011 17:19:00 +0900

=== debian/rules ===
--- 
+++ 
@@ -7,39 +7,38 @@
 
 LDFLAGS += -Wl,--as-needed
 
-DEB_UPDATE_RCD_PARAMS = "start 25 2 3 4 5 . stop 74 0 1 6 ."
 DEB_DH_INSTALLINIT_ARGS = "--name=bluetooth"
 DEB_CONFIGURE_EXTRA_FLAGS := LDFLAGS=-Wl,--as-needed \
                              --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
                              --enable-static \
+                             --disable-hal \
+                             --enable-sap \
+                             --enable-proximity \
+                             --enable-time \
+                             --enable-alert \
                              --enable-health \
-                             --enable-attrib \
+                             --enable-pnat \
+                             --enable-gatt-example \
                              --enable-gstreamer \
                              --enable-alsa \
                              --enable-usb \
+                             --enable-tracer \
                              --enable-tools \
-                             --enable-test \
                              --enable-bccmd \
+                             --enable-pcmcia \
                              --enable-hid2hci \
                              --enable-dfutool \
-                             --enable-cups \
-                             --enable-pcmcia \
-                             --enable-debug \
                              --enable-hidd \
                              --enable-pand \
                              --enable-dund \
-                             --enable-pnat \
-                             --enable-tracer \
-                             --enable-udevrules \
-                             --enable-configfiles \
-                             --enable-capng \
-                             --enable-proximity \
-                             --enable-sap \
+                             --enable-cups \
+                             --enable-test \
                              --enable-datafiles \
+                             --enable-debug \
+                             --enable-dbusoob \
                              --enable-wiimote \
                              --enable-thermometer \
-                             --enable-dbusoob \
-                             --disable-hal \
+                             --enable-capng \
                              --with-systemdunitdir=/lib/systemd/system
 
 DEB_DESTDIR := $(CURDIR)/debian/tmp
@@ -71,9 +70,6 @@
 binary-install/bluez::
 	install -D -m 0644 $(CURDIR)/debian/bluetooth-dbus.conf \
 		$(CURDIR)/debian/bluez/etc/dbus-1/system.d/bluetooth.conf
-	install -D -m 0755 $(CURDIR)/debian/bluez-udev \
-		$(CURDIR)/debian/bluez/lib/udev/bluez-udev
-
 
 clean::
 	-rm -f $(CURDIR)/debian/bluez-pcmcia-support.udev

## bluez 4.99

=== debian/changelog ===
bluez (4.99-2) unstable; urgency=low

  * Update debian/control.
    - Drop obsolete python-gobject dependency. (Closes: #663744)
      python-gi is used instead.
    - Change module-init-tools dependency to kmod. (Closes: #663359)
  * Fix FTBFS with -std=c99 option. (Closes: #661879)
    Add patches/09_fix_ftbfs_with_c99.patch
  * Update debian/README.Debian. (Closes: #663955)
    Add more infomation about alsa.conf.
  * Update bluez.postint. (Closes: #663066)
    Remove udev reload and makedev from postinst.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 23 Mar 2012 17:51:50 +0900

bluez (4.99-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control.
    - Update Standards-Version to 3.9.3.
    - Use architecture wild-card linux-any. (Closes: #662095)
    - Update version of cdbs to >= 0.4.97.
  * Remove some patches. Applied to version 4.99.
    - 09_fix_compile_with_C++.patch
    - 10-audio-Fix-disabling-local-A2DP-endpoints-when-UNIX-s.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 08 Mar 2012 08:01:05 +0900

bluez (4.98-3) unstable; urgency=low

  * Fix A2DP not working on default. (Closes: #659897, #657255)
    Add patches/10-audio-Fix-disabling-local-A2DP-endpoints-when-UNIX-s.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 25 Feb 2012 16:49:54 +0900

=== debian/control ===
Source: bluez
Section: admin
Priority: optional
Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 8.1.3), cdbs (>= 0.4.97), quilt,
               autotools-dev,
               flex,
               bison,
               gstreamer-tools,
               libasound2-dev (>= 1.0.24.1),
               libdbus-glib-1-dev,
               libglib2.0-dev (>= 2.16),
               libgstreamer0.10-dev (>= 0.10.30),
               libgstreamer-plugins-base0.10-dev (>= 0.10.30),
               libnl-dev,
               libsndfile1-dev,
               libusb-dev,
               libcap-ng-dev,
               libudev-dev,
               libreadline-dev,
               check (>= 0.9.8-1.1)
Vcs-Svn: svn://svn.debian.org/svn/pkg-bluetooth/packages/bluez/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-bluetooth/packages/bluez/trunk
Homepage: http://www.bluez.org
Standards-Version: 3.9.3

Package: libbluetooth3
Section: libs
Conflicts: libsdp2 (<= 1.5-2)
Replaces: libsdp2 (<= 1.5-2)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Architecture: linux-any
Description: Library to use the BlueZ Linux Bluetooth stack
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: libbluetooth3-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: ${misc:Depends}, libbluetooth3 (= ${binary:Version})
Description: Library to use the BlueZ Linux Bluetooth stack with debugging symbols
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).
 .
 This package contains the debugging symbols.

Package: libbluetooth-dev
Section: libdevel
Provides: libbluetooth3-dev
Conflicts: libbluetooth-dev, libsdp2-dev (<= 1.5.2), bluez-pan
Replaces: libsdp2-dev (<= 1.5.2)
Depends: libbluetooth3 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: pkg-config
Priority: extra
Architecture: linux-any
Description: Development files for using the BlueZ Linux Bluetooth library
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluetooth
Architecture: all
Depends: bluez
Recommends: bluez-alsa, bluez-cups, bluez-gstreamer
Description: Bluetooth support
 This package provides all of the different plugins supported
 by the Bluez bluetooth stack.

Package: bluez
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, kmod, udev (>= 170-1), lsb-base, dbus, python-gi, python-dbus
Replaces: bluez-input, bluez-network, bluez-serial, bluez-utils (<= 3.36-3), bluez-audio (<= 3.36-3), udev (<< 170-1)
Conflicts: bluez-utils (<= 3.36-3), bluez-audio (<= 3.36-3)
Breaks: udev (<< 170-1)
Multi-Arch: foreign
Description: Bluetooth tools and daemons
 This package contains tools and system daemons for using Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: ${misc:Depends}, bluez (= ${binary:Version}), libbluetooth3-dbg (= ${binary:Version})
Description: Bluetooth tools and daemons (with debugging symbols)
 This package contains tools and system daemons for using Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).
 .
 This package contains the debugging symbols.

Package: bluez-alsa
Replaces: bluez-audio
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez
Description: Bluetooth ALSA support
 This package contains a driver operate with the ALSA stack.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-gstreamer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez
Replaces: bluez-audio
Description: Bluetooth GStreamer support
 This package contains a plugin to operate with GStreamer applications.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-cups
Architecture: linux-any
Depends: ${shlibs:Depends}, cups, ${misc:Depends}
Description: Bluetooth printer driver for CUPS
 This package contains a driver to let CUPS print to Bluetooth-connected
 printers.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-pcmcia-support
Architecture: linux-any
Priority: extra
Depends: pcmciautils, ${misc:Depends}
Recommends: setserial
Description: PCMCIA support files for BlueZ 2.0 Bluetooth tools
 This package contains files to enable PCMCIA card services to recognise
 and initialise PCMCIA Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-compat
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BlueZ 3.x compatibility binaries
 This package provides the legacy binaries that were reminiscent of the
 BlueZ 3.x pairing methods.  These binaries are not supported, and will
 go away again in the future. The provided binaries are:
 .
 hidd
 dund
 pand

Package: bluez-utils
Depends: bluetooth
Architecture: all
Section: oldlibs
Priority: extra
Description: Transitional package
 This is a transitional package to assist with moving people to the
 BlueZ 4.x stack.

Package: bluez-audio
Depends: bluez-alsa (>= 4.94-3), bluez-gstreamer (>= 4)
Architecture: all
Section: oldlibs
Priority: extra
Description: Transitional package
 This is a transitional package to assist with moving people to the
 BlueZ 4.x stack.

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,9 @@
 
 LDFLAGS += -Wl,--as-needed
 
+DEB_UPDATE_RCD_PARAMS = "start 25 2 3 4 5 . stop 74 0 1 6 ."
 DEB_DH_INSTALLINIT_ARGS = "--name=bluetooth"
-DEB_CONFIGURE_EXTRA_FLAGS := LDFLAGS=-Wl,--as-needed \
+DEB_CONFIGURE_EXTRA_FLAGS := \
                              --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
                              --enable-static \
                              --disable-hal \
@@ -70,6 +71,8 @@
 binary-install/bluez::
 	install -D -m 0644 $(CURDIR)/debian/bluetooth-dbus.conf \
 		$(CURDIR)/debian/bluez/etc/dbus-1/system.d/bluetooth.conf
+	install -D -m 0755 $(CURDIR)/debian/bluez-udev \
+		$(CURDIR)/debian/bluez/lib/udev/bluez-udev
 
 clean::
 	-rm -f $(CURDIR)/debian/bluez-pcmcia-support.udev
